#!/bin/bash

# Для сравнения установок временных зон старой и новой системы.

FINDTZ="python /opt/www/stocks2/scripts/utils/unixtime/tzfind.py"

for s in `python utils/allquotes.py | awk -F@ '{print $2 ":" $4;}'`; do
    q=$(echo $s | cut -d: -f1)
    tz=$(echo $s | cut -d: -f2)
    olds=$($FINDTZ $q)
    old=$(echo $olds | cut -d: -f2)
    if [ "$old" != "$tz" ]; then
        echo $q $tz $old
    fi
done

